## editorconfig-core 0.12.9+~0.15.1

=== parser/CMakeLists.txt ===
#
# Copyright (c) 2011-2018 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

# Basic parser tests

# test repeat sections
new_ec_test_multiline(repeat_sections_ML basic.in a.a "option1=value1[ \t]*[\n\r]+option2=value2[ \t\n\r]*")
new_ec_test_multiline(basic_cascade_ML basic.in b.b "option1=c[ \t]*[\n\r]+option2=b[ \t\n\r]*")

# Tests for whitespace parsing

# test no whitespaces in property assignment
new_ec_test(no_whitespace whitespace.in test1.c "^key=value[ \t\n\r]*$")

# test single spaces around equals sign
new_ec_test(single_spaces_around_equals whitespace.in test2.c
    "^key=value[ \t\n\r]*$")

# test multiple spaces around equals sign
new_ec_test(multiple_spaces_around_equals whitespace.in test3.c
    "^key=value[ \t\n\r]*$")

# test spaces before property name
new_ec_test(spaces_before_property_name whitespace.in test4.c
    "^key=value[ \t\n\r]*$")

# test spaces before after property value
new_ec_test(spaces_after_property_value whitespace.in test5.c
    "^key=value[ \t\n\r]*$")

# test blank lines between properties
new_ec_test_multiline(blank_lines_between_properties_ML whitespace.in test6.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t\n\r]*")

# test spaces in section name
new_ec_test(spaces_in_section_name whitespace.in " test 7 "
    "^key=value[ \t\n\r]*$")

# test spaces before section name are ignored
new_ec_test(spaces_before_section_name whitespace.in test8.c
    "^key=value[ \t\n\r]*$")

# test spaces after section name
new_ec_test(spaces_after_section_name whitespace.in test9.c "^key=value[ \t\n\r]*$")

# test spaces at beginning of line between properties
new_ec_test_multiline(spaces_before_middle_property_ML whitespace.in test10.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t]*[\n\r]+key3=value3[ \t\n\r]*")

# Tests for comment parsing

# test comments ignored before properties
new_ec_test(comment_before_props comments.in test3.c
    "^key=value[ \t\n\r]*$")

# test comments ignored between properties
new_ec_test_multiline(comment_between_props_ML comments.in test4.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t\n\r]*")

# test semicolons and hashes at end of property value are included in value
new_ec_test(semicolon_or_hash_in_property comments.in test5.c
    "^key1=value; not comment[\n\r]+key2=value # not comment[ \t\n\r]*$")

# test that backslashes before semicolons and hashes in property values
# are included in value.
# NOTE: [\\] matches a single literal backslash.
new_ec_test(backslashed_semicolon_or_hash_in_property comments.in test6.c
    "^key1=value [\\]; not comment[\n\r]+key2=value [\\]# not comment[ \t\n\r]*$")

# test escaped semicolons are included in section names
new_ec_test(escaped_semicolon_in_section comments.in "test;.c"
    "^key=value[ \t\n\r]*$")

# test octothorpe comments ignored before properties
new_ec_test(octothorpe_comment_before_props comments.in test9.c
    "^key=value[ \t\n\r]*$")

# test octothorpe comments ignored between properties
new_ec_test_multiline(octothorpe_comment_between_props_ML comments.in test10.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t\n\r]*")

# test octothorpe at end of property value are included in value
new_ec_test(octothorpe_in_value comments.in test11.c
    "^key=value# not comment[ \t\n\r]*$")

# test escaped octothorpes are included in section names
new_ec_test(escaped_octothorpe_in_section comments.in "test\#.c"
    "^key=value[ \t\n\r]*$")

# test EditorConfig files with BOM at the head
new_ec_test(bom_at_head bom.in "a.c" "^key=value[ \t\n\r]*$")

# test EditorConfig files with CRLF line separators
new_ec_test(crlf_linesep crlf.in "a.c" "^key=value[ \t\n\r]*$")

# Test minimum supported lengths of section name, key and value
new_ec_test(min_supported_key_length limits.in test1
    "^aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa=v1024[ \t\n\r]*$")
new_ec_test(min_supported_value_length limits.in test2
    "^k4096=aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa[ \t\n\r]*$")
new_ec_test(min_supported_section_name_length limits.in test3
    "^k1024=v1024[ \t\n\r]*$")

# Empty .editorconfig files
new_ec_test(empty_editorconfig_file empty.in test4 "^[ \t\n\r]*$")
new_ec_test(newlines_only_editorconfig_file newlines_only.in test4 "^[ \t\n\r]*$")
new_ec_test(comments_only_editorconfig_file comments_only.in test4 "^[ \t\n\r]*$")
new_ec_test(comments_and_newlines_editorconfig_file comments_and_newlines.in test4 "^[ \t\n\r]*$")

## editorconfig-core 0.12.9+~0.17.1

=== debian/control ===
Source: editorconfig-core
Section: libs
Priority: optional
Build-Depends:
 cmake,
 d-shlibs,
 dh-sequence-pkgkde-symbolshelper,
 debhelper-compat (= 13),
 doxygen,
 libpcre2-dev,
 libjs-jquery,
 pkgconf,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 4.7.0
Homepage: https://editorconfig.org/
Vcs-Git: https://salsa.debian.org/debian/editorconfig-core.git
Vcs-Browser: https://salsa.debian.org/debian/editorconfig-core
Rules-Requires-Root: no

Package: libeditorconfig0
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: coding style indenter across editors - library
 EditorConfig helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles
 and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides the core library of editorconfig.

Package: libeditorconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeditorconfig0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: editorconfig-doc
Description: coding style indenter across editors - development files
 EditorConfig helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles
 and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides development headers for editorconfig-core library.

Package: editorconfig
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: coding style indenter for all editors - commandline tools
 This package helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles
 and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides editorconfig command which
 can be used to reformat and indent code files
 using editorconfig configuration file.

Package: editorconfig-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 libjs-jquery,
Description: coding style indenter across editors - documentation
 EditorConfig helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides API documentation for editorconfig-core library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# resolve if release is experimental
EXP_RELEASE = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# relax symbols check when targeting experimental
export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DINSTALL_HTML_DOC=ON \
		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/editorconfig-doc \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
	

execute_after_dh_shlibdeps:
	d-devlibdeps \
		--override s/libeditorconfig0-dev/libeditorconfig-dev/ \
		debian/libeditorconfig-dev.substvars \
		debian/tmp/usr/lib/*/*.so

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/editorconfig/editorconfig-core-c/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@+tests-$1/,\
dversionmangle=auto,\
component=tests \
https://github.com/editorconfig/editorconfig-core-test/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

## editorconfig-core 0.12.10%2B~0.17.1

=== cli/CMakeLists.txt ===
#
# Copyright (c) 2011-2018 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

# Tests for version switches

# test --version option returns version information
new_ec_cli_test(NAME test_long_version_switch
    ARGS --version
    MATCH "^EditorConfig.* Version [0-9]+\\.[0-9]+\\.[0-9]+(-[a-z]+)?[ \t\n\r]$")

# test -v option returns version information
new_ec_cli_test(NAME test_short_version_switch
    ARGS -v
    MATCH "^EditorConfig.* Version [0-9]+\\.[0-9]+\\.[0-9]+(-[a-z]+)?[ \t\n\r]$")

# Test for multiple input files

# when files are specified on command line.  The files can appear in either
# order in the output, but each file's output line must be grouped with its
# file header.  Handle this by listing both possibilities manually in the regex.
new_ec_cli_test(NAME multiple_files_on_command_line
    ARGS -f cli.in
    "${CMAKE_CURRENT_SOURCE_DIR}/file1.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/file2.cpp"
    MATCH
    "^(\\[${CMAKE_CURRENT_SOURCE_DIR}/file1.c\\][ \t]*[\n\r]+key1=value1[ \t]*[\n\r]+\\[${CMAKE_CURRENT_SOURCE_DIR}/file2.cpp\\][ \t]*[\n\r]+key2=value2)|(\\[${CMAKE_CURRENT_SOURCE_DIR}/file2.cpp\\][ \t]*[\n\r]+key2=value2[ \t]*[\n\r]+\\[${CMAKE_CURRENT_SOURCE_DIR}/file1.c\\][ \t]*[\n\r]+key1=value1)[ \t\n\r]*$"
    )

## editorconfig-core 0.12.10+~0.17.1

=== doc/CMakeLists.txt ===
#
# Copyright (c) 2011-2013 EditorConfig Team
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# 
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

option(BUILD_DOCUMENTATION
    "Use Doxygen to create the HTML and man page documentation" ON)

# Whether to install the html documentation. Only valid when
# BUILD_DOCUMENTATION is set to ON
option(INSTALL_HTML_DOC
    "Install the generated html documentation" OFF)

if(BUILD_DOCUMENTATION)

    find_package(Doxygen)

    if(DOXYGEN_FOUND)

        # Generating the main part of the doc. Although it generates
        # editorconfig.3, we discard that file
        set(DOC_MAN_SECTION 3)
        set(DOC_GEN_HTML "YES")
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
            ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

        add_custom_command(
            OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/html/index.html
            COMMAND ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
            MAIN_DEPENDENCY
            ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
            DEPENDS
            ${PROJECT_SOURCE_DIR}/include/editorconfig/editorconfig.h
            ${PROJECT_SOURCE_DIR}/include/editorconfig/editorconfig_handle.h
            ${PROJECT_SOURCE_DIR}/logo/logo.png
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

        set(EC_MANPAGE_DIR ${CMAKE_CURRENT_BINARY_DIR}/man)
        set(EC_MANPAGE1_DIR ${EC_MANPAGE_DIR}/man1)
        set(EC_MANPAGE3_DIR ${EC_MANPAGE_DIR}/man3)
        set(EC_MANPAGE5_DIR ${EC_MANPAGE_DIR}/man5)

        # Generating man page of editorconfig command. Although we have other
        # .1s other than editorconfig.1, we ignore them
        set(DOC_MAN_SECTION 1)
        set(DOC_GEN_HTML "NO")
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
            ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile-1)

        add_custom_command(
            OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/man/man1/editorconfig.1
            COMMAND
            ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/man
            COMMAND
            ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile-1"
            MAIN_DEPENDENCY
            ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
            DEPENDS
            ${PROJECT_SOURCE_DIR}/include/editorconfig/editorconfig.h
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

        # Generating man page editorconfig-format.5. Although we have other
        # .5s other than editorconfig-format.5, we ignore them
        set(DOC_MAN_SECTION 5)
        set(DOC_GEN_HTML "NO")
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
            ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile-5)

        add_custom_command(
            OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/man/man5/editorconfig-format.5
            COMMAND
            ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/man
            COMMAND
            ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile-5"
            MAIN_DEPENDENCY
            ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
            DEPENDS
            ${PROJECT_SOURCE_DIR}/include/editorconfig/editorconfig.h
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

        # doc generation target
        add_custom_target(doc ALL DEPENDS
            ${CMAKE_CURRENT_BINARY_DIR}/html/index.html
            ${EC_MANPAGE1_DIR}/editorconfig.1
            ${EC_MANPAGE5_DIR}/editorconfig-format.5)

        # install man pages
        # Since we cannot avoid generating editorconfig.3 with doxygen, which
        # is the manpage of the command line interface with a manpage number 3,
        # we need to exclude it when installing man3. Same for
        # editorconfig-format.3
        install(DIRECTORY ${EC_MANPAGE3_DIR}
            DESTINATION "${CMAKE_INSTALL_MANDIR}"
            PATTERN editorconfig.3 EXCLUDE
            PATTERN editorconfig-format.3 EXCLUDE
            REGEX ._include_. EXCLUDE)

        install(FILES
            ${EC_MANPAGE1_DIR}/editorconfig.1
            DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
        install(FILES
            ${EC_MANPAGE5_DIR}/editorconfig-format.5
            DESTINATION "${CMAKE_INSTALL_MANDIR}/man5")

        # "make clean" should also clean generated docs
        set_directory_properties(PROPERTIES
            ADDITIONAL_MAKE_CLEAN_FILES "html;man")

        if(INSTALL_HTML_DOC)
            install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
                DESTINATION "${CMAKE_INSTALL_DOCDIR}")
        endif(INSTALL_HTML_DOC)

    else(DOXYGEN_FOUND)
        message(WARNING
            " Doxygen is not found. Documentation will not be generated.")
    endif(DOXYGEN_FOUND)
endif(BUILD_DOCUMENTATION)

=== src/lib/CMakeLists.txt ===
#
# Copyright (c) 2011-2019 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

set(editorconfig_LIBSRCS
    ec_glob.c
    editorconfig.c
    editorconfig_handle.c
    ini.c
    misc.c
    )

add_library(editorconfig_shared SHARED ${editorconfig_LIBSRCS})
target_include_directories(editorconfig_shared
    INTERFACE $<INSTALL_INTERFACE:include>
)
set_target_properties(editorconfig_shared PROPERTIES
    OUTPUT_NAME editorconfig
    SOVERSION 0
    VERSION ${PROJECT_VERSION})

# We need to link Shwapi since we use PathIsRelative
if(WIN32)
    target_link_libraries(editorconfig_shared shlwapi)
endif()
target_link_libraries(editorconfig_shared ${PCRE2_LIBRARIES})
if (BUILD_STATICALLY_LINKED_EXE)
    # disable shared library build when static is enabled
    set_target_properties(editorconfig_shared PROPERTIES
        EXCLUDE_FROM_ALL 1)
endif()

add_library(editorconfig_static STATIC ${editorconfig_LIBSRCS})
target_include_directories(editorconfig_static
    INTERFACE $<INSTALL_INTERFACE:include>
)
set_target_properties(editorconfig_static PROPERTIES
    OUTPUT_NAME editorconfig_static
    VERSION ${PROJECT_VERSION})

# We need to link Shwapi since we use PathIsRelative
if(WIN32)
    target_link_libraries(editorconfig_static shlwapi)
endif()
target_link_libraries(editorconfig_static ${PCRE2_LIBRARIES})

# EditorConfig package name for find_package() and the CMake package registry.
# On UNIX the system registry is usually just "lib/cmake/<package>".
# See cmake-package(7) for details.
set(config_package_name "EditorConfig")
set(editorconfig_CONFIG_NAME "${config_package_name}Config")
set(editorconfig_CONFIG_VERSION_NAME "${config_package_name}ConfigVersion")
set(editorconfig_CONFIG_EXPORT_NAME "${config_package_name}Targets")
set(editorconfig_CONFIG_INSTALL_LIBDIR
    "${CMAKE_INSTALL_LIBDIR}/cmake/${config_package_name}")

install(TARGETS editorconfig_static
    EXPORT ${editorconfig_CONFIG_EXPORT_NAME}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(NOT BUILD_STATICALLY_LINKED_EXE)
    install(TARGETS editorconfig_shared
        EXPORT ${editorconfig_CONFIG_EXPORT_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
    set(libdir_for_pc_file "${CMAKE_INSTALL_LIBDIR}")
else()
    set(libdir_for_pc_file "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
endif()
if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
    set(includedir_for_pc_file "${CMAKE_INSTALL_INCLUDEDIR}")
else()
    set(includedir_for_pc_file "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
endif()
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/editorconfig.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/editorconfig.pc
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/editorconfig.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

include(CMakePackageConfigHelpers)

configure_package_config_file(${editorconfig_CONFIG_NAME}.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_NAME}.cmake
    INSTALL_DESTINATION ${editorconfig_CONFIG_INSTALL_LIBDIR})

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_VERSION_NAME}.cmake
    COMPATIBILITY AnyNewerVersion)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_NAME}.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_VERSION_NAME}.cmake
    DESTINATION ${editorconfig_CONFIG_INSTALL_LIBDIR})

install(EXPORT ${editorconfig_CONFIG_EXPORT_NAME}
    DESTINATION ${editorconfig_CONFIG_INSTALL_LIBDIR})

=== debian/changelog ===
editorconfig-core (0.12.10+~0.17.1-3) unstable; urgency=medium

  * Automate the versioned manpage symlink to avoid needing to update
    it manually for every new upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 11:59:58 -0500

editorconfig-core (0.12.10+~0.17.1-2) unstable; urgency=medium

  * remove myself as maintainer,
    passing over to surprise team member

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Nov 2025 23:42:41 +0100

editorconfig-core (0.12.10+~0.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add patch to avoid using -Werror along with -Wall
  * Run wrap-and-sort -s
  * Convert debian/watch to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 15:37:58 -0500

editorconfig-core (0.12.9+~0.17.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Disable parallel building (Closes: #1062397) (LP: #2124947)

  [ Pablo Lucas ]
  * debian/control: Bump Standards-Version to 4.7.2
  * debian/copyright: Improve tests directory reference on copyright
  * debian/editorconfig.links: Update version to generate a correct
    manpage symbolic link

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 14:52:06 -0500

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,24 @@
 Section: libs
 Priority: optional
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-pkgkde-symbolshelper,
  cmake,
  d-shlibs,
- dh-sequence-pkgkde-symbolshelper,
- debhelper-compat (= 13),
  doxygen,
+ libjs-jquery,
  libpcre2-dev,
- libjs-jquery,
- pkgconf,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Standards-Version: 4.7.0
+ pkgconf
+Maintainer: Jeremy Bícha <jbicha@ubuntu.com>
+Uploaders: Vasudev Kamath <vasudev@debian.org>
+Standards-Version: 4.7.2
 Homepage: https://editorconfig.org/
 Vcs-Git: https://salsa.debian.org/debian/editorconfig-core.git
 Vcs-Browser: https://salsa.debian.org/debian/editorconfig-core
-Rules-Requires-Root: no
 
 Package: libeditorconfig0
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: coding style indenter across editors - library
  EditorConfig helps developers define and maintain
@@ -42,7 +39,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libeditorconfig0 (= ${binary:Version}),
+Depends:
+ libeditorconfig0 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends}
 Suggests: editorconfig-doc
@@ -63,8 +61,7 @@
 Package: editorconfig
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: coding style indenter for all editors - commandline tools
  This package helps developers define and maintain
  consistent coding styles between different editors and IDEs.
@@ -84,8 +81,7 @@
 Package: editorconfig-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
- libjs-jquery,
+Depends: libjs-jquery, ${misc:Depends}
 Description: coding style indenter across editors - documentation
  EditorConfig helps developers define and maintain
  consistent coding styles between different editors and IDEs.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# This variable is the part of the "upstream" version number before the +
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d+ -f1)
+
+# https://launchpad.net/bugs/2124947
 %:
 	dh $@ --no-parallel
 
@@ -25,3 +29,6 @@
 		--override s/libeditorconfig0-dev/libeditorconfig-dev/ \
 		debian/libeditorconfig-dev.substvars \
 		debian/tmp/usr/lib/*/*.so
+
+execute_after_dh_link:
+	dh_link -peditorconfig usr/share/man/man1/editorconfig.1.gz usr/share/man/man1/editorconfig-$(UPSTREAM_VERSION).gz

=== debian/tests/control ===
Test-Command: echo "ok"
Depends: @builddeps@
Restrictions: build-needed

=== debian/watch ===
Version: 5
# check: uscan --report
# update: gbp import-orig --uscan --upstream-vcs-tag=vX.Y.Z

Template: GitHub
Owner: editorconfig
Project: editorconfig-core-c
Version-Schema: group

Component: tests
Template: GitHub
Owner: editorconfig
Project: editorconfig-core-test
Version-Schema: group
